Name:           libfwbuilder
Summary:        Firewall Builder API
Version:        3.0.3
Release:        2%{?dist}
License:        GPLv2+
Group:          System Environment/Libraries
URL:            http://www.fwbuilder.org/
Source:         http://downloads.sourceforge.net/fwbuilder/%{name}-%{version}.tar.gz
Buildroot:      %{_tmppath}/%{name}-%{version}-root

Patch0:         libfwbuilder-2.1.14-gcc43.patch

BuildRequires:  qt4-devel
BuildRequires:  libxslt-devel
BuildRequires:  gawk

%description
Firewall Builder API library and compiler framework

%files
%defattr(-,root,root)
%doc doc/AUTHORS doc/COPYING doc/ChangeLog doc/Credits doc/README doc/PatchAcceptancePolicy.txt
%dir %{_datadir}/libfwbuilder
%{_datadir}/libfwbuilder/*
%{_libdir}/*.so.*


%package devel
Summary:   Firewall Builder API Libraries and Header Files
Group:     Development/Libraries
Requires:  %{name} = %{version}-%{release}
Requires: libxslt-devel
Requires: openssl-devel

%description devel
This package contains the libraries  and header files that programmer would
need to develop applications using Firewall Builder API.

%files  devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_bindir}/libfwbuilder-config-3
%{_includedir}/fwb-3


%prep
%setup -q

# Fix regressions due to stricter GCC 4.3 checking
# %patch0 -p1 -b .gcc43


%build
%configure \
    --enable-auto-docdir \
    --with-templatedir=%{_datadir}/libfwbuilder \
    --disable-static  \
    --enable-shared \
    --disable-dependency-tracking
make %{?_smp_mflags} all


%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT
# prevent including twice the doc
rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc/%{name}-%{version}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 22 2009 Ralf Ertzinger <ralf@skytale.net> 3.0.3-1
- Update to 3.0.3

* Wed Nov 19 2008 Ralf Ertzinger <ralf@skytale.net> 3.0.1-1
- Update to 3.0.1

* Sat Sep 06 2008 Ralf Ertzinger <ralf@skytale.net> 3.0.0-1
- Move .so files to -devel subpackage
- Use full URL in Source:
  (thanks to Till Maas for the hints)

* Fri Sep 05 2008 Ralf Ertzinger <ralf@skytale.net> 3.0.0-1
- Update to 3.0.0

* Sat Apr 05 2008 Ralf Ertzinger <ralf@skytale.net> 2.1.16-3
- Change BuildRequires to qt3-devel

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.1.16-2
- Autorebuild for GCC 4.3

* Thu Jan 03 2008 Ralf Ertzinger <ralf@skytale.net> 2.1.16-1
- Update to 2.1.16
- Add patch to enable compilation with GCC4.3

* Wed Oct 03 2007 Ralf Ertzinger <ralf@skytale.net> 2.1.14-1
- Update to 2.1.14
  This release does not need to be linked against OpenSSL anymore,
  thus avoiding a license conflict
- Fix license tag

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 2.1.12-3
- Add gawk as a Build Require.

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 2.1.12-2
- Rebuild for selinux ppc32 issue.

* Fri Jul 06 2007 Ralf Ertzinger <ralf@skytale.net> 2.1.12-1.fc8
- Update to 2.1.12

* Wed Mar 14 2007 Ralf Ertzinger <ralf@skytale.net> 2.1.10-1.fc7
- Update to 2.1.10

* Wed Dec 13 2006 Ralf Ertzinger <ralf@skytale.net> 2.1.8-1.fc7
- Update to 2.1.8

* Wed Nov 29 2006 Ralf Ertzinger <ralf@skytale.net> 2.1.7-1.fc7
- Update release for build

* Mon Nov 27 2006 Ralf Ertzinger <ralf@skytale.net> 2.1.7-0.1.fc7
- Update to 2.1.7

* Tue Oct 24 2006 Ralf Ertzinger <ralf@skytale.net> 2.1.6-0.0.beta.fc7
- Update to the 2.1.6 beta

* Mon Sep 11 2006 Ralf Ertzinger <ralf@skytale.net> 2.0.12-3.fc6
- Bumped and rebuilt for FC6

* Mon Apr 24 2006 Ralf Ertzinger <ralf@skytale.net> 2.0.12-2.fc6
- Retagging

* Fri Apr 21 2006 Ralf Ertzinger <ralf@skytale.net> 2.0.12-1.fc5
- Update to 2.0.12
- Drop gcc-4.1 patch and -ffriend-injection

* Wed Feb 22 2006 Ralf Ertzinger <ralf@skytale.net> 2.0.10-2.fc5
- Bump and rebuild for FC5

* Sun Feb 05 2006 Ralf Ertzinger <ralf@skytale.net> 2.0.10-1
- Update to 2.0.10
- Fixes for GCC 4.1
- Fixes for changed libresolv behaviour in FC5

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 2.0.6-3
- build on all arches

* Fri Apr  1 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 2.0.6-2
- Include fwb-2.0 headers directory in -devel package.

* Thu Mar  3 2005 Steve Grubb <sgrubb@redhat.com> 2.0.6-1
- New upstream version

* Sun Feb  6 2005 Ville Skyttä <ville.skytta at iki.fi> - 2.0.5-3
- Remove extra quotes from Group tag in -devel.

* Sat Jan 22 2005 Warren Togami <wtogami@redhat.com> 2.0.5-2
- spec cleanup

* Sat Jan 22 2005 Steve Grubb <sgrubb@redhat.com> 2.0.5
- Created base spec file

